# test related requirements

mock==5.1.0

pytest==8.3.3
  iniconfig==2.0.0
  packaging==24.1
  pluggy==1.5.0
pytest-cov==5.0.0
  coverage==7.6.4
  pytest==8.3.3
    iniconfig==2.0.0
    packaging==24.1
    pluggy==1.5.0
pytest-env==1.1.5
  pytest==8.3.3
    iniconfig==2.0.0
    packaging==24.1
    pluggy==1.5.0
pytest-profiling==1.7.0
  gprof2dot==2024.6.6
  pytest==8.3.3
    iniconfig==2.0.0
    packaging==24.1
    pluggy==1.5.0
  six==1.17.0
pytest-rerunfailures==14.0
  packaging==24.1
  pytest==8.3.3
    iniconfig==2.0.0
    packaging==24.1
    pluggy==1.5.0
pytest-runner==6.0.1
pytest-sugar==1.0.0
  packaging==24.1
  pytest==8.3.3
    iniconfig==2.0.0
    packaging==24.1
    pluggy==1.5.0
  termcolor==2.5.0
pytest-timeout==2.3.1
  pytest==8.3.3
    iniconfig==2.0.0
    packaging==24.1
    pluggy==1.5.0

webtest==3.0.1
  beautifulsoup4==4.12.3
    soupsieve==2.5
  waitress==3.0.2
  webob==1.8.9

# RhodeCode test-data
rc_testdata @ https://code.rhodecode.com/upstream/rc-testdata-dist/raw/77378e9097f700b4c1b9391b56199fe63566b5c9/rc_testdata-0.11.0.tar.gz#egg=rc_testdata
rc_testdata==0.11.0
